/*
 * ---------------------------------------------------------------------------
 * This file declares constants, functions, ... used to navigate through the 
 * menue of the gasmixer.
 * author : Mstl Georg
 * date   : 16.11.2006
 * ---------------------------------------------------------------------------
 */
 
#include <stdint.h> 
 
#ifndef __MENUE_HDL__
	#define ___MENUE_HDL__
	
	/* 
	 * -------------------------------------------------------------------------
	 * general constant declarations 
	 * -------------------------------------------------------------------------
	 */
	 #define PAD_CHAR ' '
	 
	 #define MAX_LENGTH_FMT_STR 	30
	 #define MAX_LENGTH_UNIT_STR 	3
	 #define MAX_LENGTH_QUAL_STR 	3
	 #define MAX_LENGTH_GAS_STR 	3
	 
	 typedef enum {left_e, right_e} pad_dir_t;
	 
	 
	/* 
	 * -------------------------------------------------------------------------
	 * general function declarations 
	 * -------------------------------------------------------------------------
	 */
 
	void welcomeScreenMENUE(void);
	
	void cfgScreenMENUE(void);
	
	void makeNewCfgMENUE(void);
	
	void calcScreenMENUE(void);
	
	void makeNewCalcMENUE(void);
	
		
#endif
